%define __libtoolize    /bin/true

Name:           kdmtheme
Summary:        Kdmtheme allow to change kdm theme
Version:        1.1.3
Release:        %mkrel 1
Source:         %{name}-%{version}.tar.bz2
URL:           	http://smileaf.org/
Group:		Graphical desktop/KDE
BuildRoot:      %_tmppath/%name-buildroot
License:		GPL
BuildRequires:	XFree86-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	arts-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRequires:	fam-devel
Requires:       kdebase-session-plugins
Patch1:			kdmtheme-0.8.2-use-kdesu.patch

%description
Kdmtheme allow to change theme in kdm when we used gdm theme

%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q 
%patch1 -p1 -b .fix_use_kdmtheme

%build
make -f Makefile.cvs
export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

%{?__cputoolize: %{__cputoolize} }

%configure --disable-rpath \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--enable-final

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


#Menu

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "System/Configuration/KDE/System" $RPM_BUILD_ROOT%{_datadir}/applications/kde/kdmtheme.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)
%_libdir/kde3/kcm_kdmtheme.la
%_libdir/kde3/kcm_kdmtheme.so
%_datadir/applications/kde/kdmtheme.desktop

%dir %_docdir/HTML/en/kdmtheme/
%doc %_docdir/HTML/en/kdmtheme/common
%doc %_docdir/HTML/en/kdmtheme/*.bz2
%doc %_docdir/HTML/en/kdmtheme/*.docbook
%_menudir/*




%changelog
* Mon May 07 2007 Laurent Montel <lmontel@mandriva.com> 1.1.3-1mdv2008.0
+ Revision: 23970
- 1.1.3


* Wed Jan 17 2007 Laurent Montel <lmontel@mandriva.com> 1.1.2-2mdv2007.0
+ Revision: 109749
- Fix autoconf detect
- Fix requires
- Import kdmtheme

* Sat Jun 24 2006 Laurent MONTEL <lmontel@mandriva.com> 1.1.2-1mdk
- 1.1.2

* Tue May 09 2006 Laurent MONTEL <lmontel@mandriva.com> 1.1-2mdk
- Rebuild to generate category

* Fri Mar 24 2006 Laurent MONTEL <lmontel@mandriva.com> 1.1-1mdk
- 1.1

* Tue Jan 31 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0.1-1mdk
- 1.0.1

* Fri Dec 30 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.2-1mdk
- 0.9.2

* Thu Jul 21 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.1-1mdk
- 0.9.1

* Sat Jul 09 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9-4mdk
- Rebuild

* Fri Apr 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-3mdk
- Fix compile on x86_64 (copy/paste is bad !!!)

* Thu Apr 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-2mdk
- Add patch2: fix disable widget

* Thu Apr 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-1mdk
- 0.9

* Tue Apr 05 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-3mdk
- Patch1: Fix use kdesu

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-2mdk
- Fix build on x86_64

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2

* Thu Mar 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- 0.6
- Integrate my other patchs

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-1mdk
- 0.5
- Remove all my patch (all was add into release 0.5)

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-7mdk
- Add patch7: disable action when is not root

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-6mdk
- Add patch6: fix rootonly

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-5mdk
- Fix menu entry

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-4mdk
- Add patch5: fix reference

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-3mdk
- Add patch4: fix crash when "themes" doesn't exist

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-2mdk
- Add patch3: fix mem leak
- Fix url

* Wed Mar 23 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-1mdk
- First package

